Search for all
- Search 7.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| WorkspaceSwitcherTest | class | core/ |
Tests workspace switching functionality. |
| WorkspaceSwitcherTest.php | file | core/ |
|
| WorkspaceSwitcherTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| WorkspaceSwitcherTest::$modules | property | core/ |
Modules to enable. |
| WorkspaceSwitcherTest::setUp | function | core/ |
|
| WorkspaceSwitcherTest::testQueryParameterNegotiator | function | core/ |
Tests switching workspace via a query parameter. |
| WorkspaceSwitcherTest::testSwitchingWorkspaces | function | core/ |
Tests switching workspace via the switcher block and admin page. |
| workspaces_cron | function | core/ |
Implements hook_cron(). |
| workspaces_entity_access | function | core/ |
Implements hook_entity_access(). |
| workspaces_entity_base_field_info | function | core/ |
Implements hook_entity_base_field_info(). |
| workspaces_entity_create_access | function | core/ |
Implements hook_entity_create_access(). |
| workspaces_entity_insert | function | core/ |
Implements hook_entity_insert(). |
| workspaces_entity_predelete | function | core/ |
Implements hook_entity_predelete(). |
| workspaces_entity_preload | function | core/ |
Implements hook_entity_preload(). |
| workspaces_entity_presave | function | core/ |
Implements hook_entity_presave(). |
| workspaces_entity_type_alter | function | core/ |
Implements hook_entity_type_alter(). |
| workspaces_entity_type_build | function | core/ |
Implements hook_entity_type_build(). |
| workspaces_entity_update | function | core/ |
Implements hook_entity_update(). |
| workspaces_field_info_alter | function | core/ |
Implements hook_field_info_alter(). |
| workspaces_form_alter | function | core/ |
Implements hook_form_alter(). |
| workspaces_help | function | core/ |
Implements hook_help(). |
| workspaces_install | function | core/ |
Implements hook_install(). |
| workspaces_module_preinstall | function | core/ |
Implements hook_module_preinstall(). |
| workspaces_post_update_modify_base_field_author_override | function | core/ |
Updates stale references to Drupal\workspaces\Entity\Workspace::getCurrentUserId. |
| workspaces_post_update_remove_association_schema_data | function | core/ |
Removes the workspace association entity and field schema data. |
| workspaces_removed_post_updates | function | core/ |
Implements hook_removed_post_updates(). |
| workspaces_requirements | function | core/ |
Implements hook_requirements(). |
| workspaces_schema | function | core/ |
Implements hook_schema(). |
| workspaces_toolbar | function | core/ |
Implements hook_toolbar(). |
| workspaces_update_last_removed | function | core/ |
Implements hook_update_last_removed(). |
| workspaces_views_query_alter | function | core/ |
Implements hook_views_query_alter(). |
| WorkspaceTest | class | core/ |
Test the workspace entity. |
| WorkspaceTest.php | file | core/ |
|
| WorkspaceTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| WorkspaceTest::$editor1 | property | core/ |
A test user. |
| WorkspaceTest::$editor2 | property | core/ |
A test user. |
| WorkspaceTest::$modules | property | core/ |
Modules to enable. |
| WorkspaceTest::setUp | function | core/ |
|
| WorkspaceTest::testDeleteWorkspaceWithExistingContent | function | core/ |
Verifies that a workspace with existing content may be deleted. |
| WorkspaceTest::testSpecialCharacters | function | core/ |
Tests creating a workspace with special characters. |
| WorkspaceTest::testWorkspaceFieldUi | function | core/ |
Tests adding new fields to workspace entities. |
| WorkspaceTest::testWorkspaceFormRevisions | function | core/ |
Tests that editing a workspace creates a new revision. |
| WorkspaceTest::testWorkspaceList | function | core/ |
Tests the Workspaces listing UI. |
| WorkspaceTest::testWorkspaceManagePage | function | core/ |
Tests the manage workspace page. |
| WorkspaceTest::testWorkspaceOwner | function | core/ |
Tests changing the owner of a workspace. |
| WorkspaceTest::testWorkspaceToolbar | function | core/ |
Tests that the toolbar correctly shows the active workspace. |
| WorkspaceTestTrait | trait | core/ |
A trait with common workspaces testing functionality. |
| WorkspaceTestTrait.php | file | core/ |
|
| WorkspaceTestTrait::$workspaceManager | property | core/ |
The workspaces manager. |
| WorkspaceTestTrait::$workspaces | property | core/ |
An array of test workspaces, keyed by workspace ID. |
Pagination
- Previous page
- Page 1691
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.